Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### textMode()

Examples

    PFont metaBold;
    // The font "Meta-Bold.vlw.gz" must be located in the
    // current sketch's "data" directory to load successfully
    metaBold = loadFont("Meta-Bold.vlw.gz");
    String lines = "screen";
    textFont(metaBold);
    textMode(SCREEN);
    text(lines, 3, 70);

Description

Sets the way text draws to the screen. In the default configuration (the MODEL mode), it's possible to rotate, scale, and place letters in three dimensional space. Changing to SCREEN mode draws letters directly to the front of the window and increases the rendering quality. The letters draw at the actual size of the font (in pixels) and therefore calls to textSize() will not affect the size of the letters. To create a font at the size you desire, use the "Create font..." option in the Tools menu.
The SHAPE mode draws text using the the glyph outlines of individual characters rather than as textures. If the outlines are not available, then textMode(SHAPE) will be ignored and textMode(MODEL) will be used instead. For this reason, be sure to call textMode() after calling textFont(). Currently, textMode(SHAPE) is only supported by OPENGL rendering mode.

Syntax

    textMode(MODE)

Parameters

MODE | either MODEL, SCREEN, or SHAPE

Usage | Web & Application
Related | loadFont() PFont text() textFont()

Updated on February 09, 2008 04:38:52pm PST